Miru

Incidents

Get an Incident

Use the API to get information about an incident in your workspace.

Required Permissions

  • incidents.read

Example Request

If the provided ID is valid, this request will return the details of the incident.

curl -X GET "https://status.example.com/api/v1/incident/SbQ0ffRQL9tVVlQP" \
  -H "x-api-key: YOUR_API_KEY"

Response

If the API key is valid, hasn't expired, and has the incidents.read permission, the API will return a JSON response with the details of the incident and its connected monitors.

{
	"error": false,
	"incident": {
		"id": "SbQ0ffRQL9tVVlQP",
		"title": "tygr.dev is down",
		"startedAt": "2025-05-17T22:44:25.816Z",
		"acknowledgedAt": null,
		"resolvedAt": null,
		"autoResolved": false,
		"monitors": [
			{
				"id": "pAbfD8udMmgzPdXx",
				"workspaceId": "CiRW68WMhJUnlyeF",
				"name": "tygr.dev Website",
				"type": "http",
				"url": "tygr.dev",
				"interval": 1,
				"createdAt": "2025-05-17T22:35:28.804Z",
				"updatedAt": "2025-05-17T22:40:33.093Z"
			}
		]
	}
}

Error Response

If there is a problem with the request, the API will return a JSON response with an error message.

{
	"error": true,
	"message": "Missing incidents permissions: read"
}

Types

The API will return a JSON response that can include the following values:

Response

Prop

Type

IncidentWithMonitors

Prop

Type

Monitor

Prop

Type